<?php
/*------------------------------------------------------------------------
# view.html.php - Product advisor Component
# ------------------------------------------------------------------------
# author    Matthias Drobny, drobny.iT
# copyright Copyright (C) 2014. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   www.drobny.it
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla view library
jimport('joomla.application.component.view');

/**
 * Product View
 */
class ProductadvisorViewProduct extends JViewLegacy
{
// 	protected $_extension = 'com_productadvisor';
	/**
	 * display method of Product view
	 * @return void
	 */
	public function display($tpl = null)
	{
		// get the Data
		$form = $this->get('Form');
		$item = $this->get('Item');
		$script = $this->get('Script');

		// Check for errors.
		if (count($errors = $this->get('Errors'))){
			JError::raiseError(500, implode('<br />', $errors));
			return false;
		};

		// Assign the variables
		$this->form = $form;
		$this->item = $item;
		$this->script = $script;

		$this->productattributes = ProductadvisorCategoryHelper::getAttributelist();
		$this->productcategories = ProductadvisorCategoryHelper::getCategorylist();
// 		$this->item->attributes = array(
// 			(object) array(
// 				'productattribute_id'=>3,
// 				'productattribute_catid'=>89,
// 				'productattribute_value'=>'456nm',
// 			),
// 			(object) array(
// 				'productattribute_id'=>4,
// 				'productattribute_catid'=>89,
// 				'productattribute_value'=>'999nm',
// 			),
// 		);
// print_r($item);
// $foo = $this->get('ProductAttributes');
// $this->item->attributes = $this->get('ProductAttributes');
// $m = $this->getModel();
// print_r($m);
$this->item->attributes = $this->getModel()->getProductAttributes($this->item->product_id); 
// print_r($foo);

		// Set the toolbar
		$this->addToolBar();

		// Display the template
		parent::display($tpl);

		// Set the document
		$this->setDocument();
	}

	/**
	 * Setting the toolbar
	 */
	protected function addToolBar()
	{
		JRequest::setVar('hidemainmenu', true);
		$user = JFactory::getUser();
		$userId	= $user->id;
		$isNew = $this->item->product_id == 0;
		$canDo = ProductadvisorHelper::getActions($this->item->product_id);
		JToolBarHelper::title($isNew ? JText::_('Product :: New') : JText::_('Product :: Edit'), 'product');
		// Built the actions for new and existing records.
		if ($isNew){
			// For new records, check the create permission.
			if ($canDo->get('core.create')){
				JToolBarHelper::apply('product.apply', 'JTOOLBAR_APPLY');
				JToolBarHelper::save('product.save', 'JTOOLBAR_SAVE');
				JToolBarHelper::custom('product.save2new', 'save-new.png', 'save-new_f2.png', 'JTOOLBAR_SAVE_AND_NEW', false);
			};
			JToolBarHelper::cancel('product.cancel', 'JTOOLBAR_CANCEL');
		} else {
			if ($canDo->get('core.edit')){
				// We can save the new record
				JToolBarHelper::apply('product.apply', 'JTOOLBAR_APPLY');
				JToolBarHelper::save('product.save', 'JTOOLBAR_SAVE');
				// We can save this record, but check the create permission to see
				// if we can return to make a new one.
				if ($canDo->get('core.create')){
					JToolBarHelper::custom('product.save2new', 'save-new.png', 'save-new_f2.png', 'JTOOLBAR_SAVE_AND_NEW', false);
				};
			};
			if ($canDo->get('core.create')){
				JToolBarHelper::custom('product.save2copy', 'save-copy.png', 'save-copy_f2.png', 'JTOOLBAR_SAVE_AS_COPY', false);
			};
			JToolBarHelper::cancel('product.cancel', 'JTOOLBAR_CLOSE');
		};
	}

	/**
	 * Method to set up the document properties
	 *
	 * @return void
	 */
	protected function setDocument()
	{
		$isNew = ($this->item->product_id < 1);
		$document = JFactory::getDocument();
		$document->setTitle($isNew ? JText::_('Product :: New :: Administrator') : JText::_('Product :: Edit :: Administrator'));
		$document->addScript(JURI::root() . $this->script);
		$document->addScript(JURI::root() . "administrator/components/com_productadvisor/views/product/submitbutton.js");
		JText::script('product not acceptable. Error');
	}
}
?>